@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,600');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@font-face {
  src: url(../fonts/Gobold-Bold.ttf);
  font-family: impatiente;
}

:root {
  --bg_blue: #0C161F;
  --bg_black: #000000;
  --bg_beige: #F1E9C1;
  --bg_green: #58594C;
  --bg_grey: #CACACA;
  --clr_white: #CACACA;
  --clr_pink: #ED46B1;
  --clr_orange: #f35f18;
  --clr_lnst: #ff8080;
  --clr_light_blue: #1A344B;
  --clr_bagnoles_pink: #fa2e47;
  --clr_bagnoles_green: #109993;
  --clr_bagnoles_yellow: #dcbd26;
}

*, *::before, *::after {
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  overflow-x: hidden;
	margin: 0;
  width: 100vw;
	background: var(--bg_blue);
  color: var(--clr_white);
  font-family: 'Open Sans', sans-serif;;
  font-weight: 400;
}



/**************************  START NAV  **************************/
header {
  z-index: 999;
  position: relative;
  width: 100%;
  background: var(--bg_blue);
  text-align: center;
}

h1 {
  margin: 0;
  padding: 0.3em;
  color: var(--clr_white);
  text-transform: uppercase;
  font-family: impatiente;
}

.logo a {
  text-decoration: none;
  font-size: 2rem;
  font-weight: bold;
  color: inherit;
}

/***Burger***/
.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;
}

.nav-toggle:focus~.nav-toggle-label {
  outline: 3px solid rgba(lightblue, .75);
}

.nav-toggle-label {
  position: absolute;
  display: flex;
  align-items: center;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  position: relative;
  display: block;
  border-radius: 2px;
  width: 2em;
  height: 3px;
  background: var(--clr_white);
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

/*** end burger ***/
nav {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: var(--bg_blue);
  text-align: left;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-top: 1em;
  margin-bottom: 1.5em;
  margin-left: 1em;
}

nav a {
  color: var(--clr_white);
  font-size: 1.2rem;
  text-decoration: none;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

nav a:hover {
  color: var(--clr_white);
}

.nav-toggle:checked~nav {
  transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav ul.link-subs {
  padding-left: 1rem;
}

nav label {
  cursor: pointer;
  display: block;
  text-decoration: none;
  font-size: 1.2rem;
  padding: 0;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav label {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav #creations {
  display: none
}

nav #creations:checked+ul.link-subs li.has-subs {
  padding: 1rem 1rem;
  height: 3rem;
  color: var(--clr_white);
}

nav li.has-subs {
  overflow: hidden;
  height: 0;
  margin: 0;
  transition: all 0.25s ease-in-out;
}

@media screen and (min-width: 877px) {
  .nav-toggle-label {
    display: none;
  }

  header {
    display: grid;
    grid-template-columns: 0.08fr auto minmax(600px, 3fr) 0.08fr;
  }

  .logo {
    grid-column: 2 / 3;
  }

  nav {
    all: unset; /* this causes issues with Edge, since it's unsupported */
    /* the following lines are not from my video, but add Edge support */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* end Edge support stuff */
    grid-column: 3 / 4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
    height: 1.7em;
  }

  nav li {
    margin-top: 0;
    margin-left: 3vw;
    margin-bottom: 0;
    display: flex;
    align-items: center;
  }

  nav a {
    opacity: 1;
    position: relative;
    height: 2em;
    display: flex;
    align-items: center;
  }

  nav a::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .espacepro::before {
    content: '';
    transform: scale(1, 1);
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }

  nav .creations::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .creations:hover::before {
    transform: scale(1, 1);
  }

  nav label {
    opacity: 1;
    height: 2em;
    display: flex;
    align-items: center;
  }

  .creations {
    flex-direction: column;
    width: 125px;
    position: relative;
  }

  .link-subs {
    flex-direction: column;
  }

  nav #creations:checked+ul.link-subs li.has-subs {
    background-color: var(--bg_blue);
    padding: 2rem 0 2rem 0;
    color: var(--clr_white);
  }

  nav .link-subs {
    padding: 0;
    position: absolute;
    width: 16rem;
    top: 44px;
    left: -1rem;
    ;
  }

  nav li.has-subs a {
    margin: 1rem;
  }
}

@media screen and (min-width: 1300px) {
  header {
    grid-template-columns: 0.5fr auto minmax(600px, 3fr) 0.5fr;
  }
}

/**************************  END NAV  **************************/

/**************************  START MAIN  **************************/

.container {
  width: 100%;
  margin: 10rem auto 5rem auto;
  margin-left: auto;
  margin-right: auto;
  /*border: 5px solid grey;*/
}

 /* xs */
 @media (min-width: 475px) {
  .container {
    max-width: 475px;
  }
}

/* sm */
@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}

/* md */
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

/* lg */
@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
  }
}

/* xl */
@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
  }
}

/* 2xl */
@media (min-width: 1536px) {
  .container {
    max-width: 1536px;
  }
}



/**************************  START MAIN  **************************/


.container_espacepro {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.titre_espacepro {
  text-align: center;
  font-size: 4rem;
  font-family: impatiente;
}

.entete {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 50%;
  min-width: 25rem;
}








main {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(4, 1fr);
  grid-template-areas:
    "lnst"
    "bagnoles"
    "addvt"
    "crame";
}

section {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  margin: 2rem auto;
  width: 80vw;
  max-width: 75rem;
  border-radius: 20px;
  background-color: var(--bg_black);
}

.affiches {
  border-radius: 20px 20px 0 0;
  display: flex;
  align-items: center;
  justify-content: start;
  background: none;
  background-repeat: no-repeat, no-repeat;
}



.container_affiche-titre {
  width: 100%;
}

.titre_lnst, .titre_addvt {
  margin-left: 1rem;
}


.lnst {
  grid-area: lnst;
  grid-template-areas:
    "affiche-lnst"
    "button-lnst";
}

.affiche-lnst {
  grid-area: affiche-lnst;
  background-image: linear-gradient(transparent 90%, var(--bg_black) 99%),url("../img/lnst/jpeg/lnst_espace-pro-s.jpeg");
  background-position: center, bottom left 10rem;
  background-size: cover, contain;
}

 .container-button_lnst {
  grid-area: button-lnst;
}






.bagnoles {
  grid-area: bagnoles;
  grid-template-areas:
    "affiche-bagnoles"
    "button-bagnoles";
}

.affiche-bagnoles {
  grid-area: affiche-bagnoles;
  display: flex;
  justify-content: center;
  align-items: start;
  background-image: linear-gradient(transparent 90%, var(--bg_black) 99%), url("../img/bagnoles/bagnoles_espacepro-bw.png");
  background-position: center, top 7rem center;
  background-size: cover, contain;
}

/* je ne sais pas pourquoi je dois mettre display none */

.affiche_bagnoles-xl {
  display: none;
}

.container-button_bagnoles {
  grid-area: button-bagnoles;
}








.addvt {
  grid-area: addvt;
  display: grid;
  grid-template-areas:
    "affiche-addvt"
    "button-addvt";
}

.affiche-addvt {
  grid-area: affiche-addvt;
  background-image: linear-gradient(transparent 90%, var(--bg_black) 99%), url("../img/addvt/webp/addvt_espacepro.webp");
  background-position: center, top 1rem center;
  background-size: cover, contain;
  font-family: impatiente;
}

 .container-button_addvt {
  grid-area: button-addvt;
}





.crame {
  grid-area: crame;
  grid-template-areas:
    "affiche-crame"
    "button-crame";
  background: var(--bg_black);
}

.affiche-crame {
  grid-area: affiche-crame;
  display: flex;
  justify-content: center;
  align-items: start;
  background-image: linear-gradient(transparent 90%, var(--bg_black) 99%), url("../img/crame/jpeg/crame_visuel-s.jpeg");
  background-position: center, top center;
  background-size: cover, cover;
}

.container-button_crame {
  grid-area: button-crame;
}












 /* xs */
 @media (min-width: 475px) {
}

/* sm */
@media (min-width: 640px) {

  .titre_lnst, .titre_addvt {
    margin-left: 2rem;
  }

  .affiche-lnst {
    background-position: center, bottom left 15rem;
  }

  .affiche-addvt {
    background-position: center, top 1rem left 12rem;
  }
}









/* md */
@media (min-width: 768px) {

  section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    align-content: space-around;
  }

  .affiches {
    display: flex;
    align-items: center;
    justify-content: start;
    background: none;
    background-repeat: no-repeat, no-repeat;
  }

  .lnst {
    grid-area: lnst;
    grid-template-areas:
    "affiche-lnst affiche_lnst-xl"
    "button-lnst button-lnst";
  }

  .affiche_lnst-xl {
    grid-area: affiche_lnst-xl;
    width: 20rem;
    background-image: linear-gradient(transparent 90%, var(--bg_black) 99%),url("../img/lnst/jpeg/lnst_espace-pro-s.jpeg");
    background-position: center, center;
    background-size: cover, contain;
  }

  .bagnoles {
    grid-area: bagnoles;
    grid-template-areas:
    "affiche-bagnoles affiche_bagnoles-xl"
    "button-bagnoles button-bagnoles";
  }

  .affiche-bagnoles {
    justify-content: center;
  }

  .affiche_bagnoles-xl {
    grid-area: affiche_bagnoles-xl;
    width: 20rem;
    background-image: linear-gradient(transparent 90%, var(--bg_black) 99%),url("../img/bagnoles/bagnoles_espacepro-bw.png");
    background-position: center, bottom center;
    background-size: cover, contain;
  }

  .addvt {
    grid-area: addvt;
    grid-template-areas:
    "affiche-addvt affiche_addvt-xl"
    "button-addvt button-addvt";
  }

  .affiche_addvt-xl {
    grid-area: affiche_addvt-xl;
    width: 20rem;
    background-image: linear-gradient(transparent 90%, var(--bg_black) 99%),url("../img/addvt/webp/addvt_espacepro.webp");
    background-position: center, top 1rem center;
    background-size: cover, contain;
  }

  .crame {
    grid-area: crame;
    grid-template-areas:
    "affiche-crame affiche_crame-xl"
    "button-crame button-crame";
  }

  .affiche-crame {
    justify-content: center;
  }

  .affiche_crame-xl {
    grid-area: affiche_crame-xl;
    width: 20rem;
    background-image: linear-gradient(transparent 90%, var(--bg_black) 99%),url("../img/crame/jpeg/crame_visuel-s.jpeg");
    background-position: center, center;
    background-size: cover, cover;
  }
}











/* lg */
@media (min-width: 1024px) {
  section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    align-content: space-around;
  }

  .affiches {
    display: flex;
    align-items: center;
    justify-content: start;
    background-size: cover, contain;
    background-repeat: no-repeat, no-repeat;
  }

  .titre_lnst, .titre_addvt {
    margin-left: 1rem;
  }

  .lnst {
    grid-area: lnst;
    grid-template-areas:
    "affiche-lnst button-lnst";
  }

  .affiche-lnst {
    grid-area: affiche-lnst;
    background-image: url("../img/lnst/jpeg/lnst_espace-pro-s.jpeg");
    background-size: contain;
    background-position: bottom left 10rem;
  }

  .affiche_lnst-xl {
    display: none;
}

  .bagnoles {
    grid-area: bagnoles;
    grid-template-areas:
    "affiche-bagnoles button-bagnoles";
  }

  .affiche-bagnoles {
    grid-area: affiche-bagnoles;
    justify-content: center;
    align-items: start;
    background-image: url("../img/bagnoles/bagnoles_espacepro-bw.png");
    background-position: top 7rem center;
    background-size: contain;
  }

  .affiche_bagnoles-xl {
    display: none;
}

.addvt {
  grid-area: addvt;
  grid-template-areas:
  "affiche-addvt button-addvt";
}

  .affiche-addvt {
    grid-area: affiche-addvt;
    background-image: url("../img/addvt/webp/addvt_espacepro.webp");
    background-size: contain;
    background-position: top 2rem left 10rem;
  }

  .affiche_addvt-xl {
    display: none;
}

.crame {
  grid-area: crame;
  grid-template-areas:
  "affiche-crame button-crame";
}

  .affiche-crame {
    grid-area: affiche-crame;
    justify-content: center;
    align-items: start;
    background-image: url("../img/crame/jpeg/crame_visuel-s.jpeg");
    background-position: bottom center;
  }

  .affiche_crame-xl {
    display: none;
}
}







/* xl */
@media (min-width: 1280px) {

  section {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    align-content: space-around;
  }

  .affiches {
    display: flex;
    align-items: center;
    justify-content: start;
    background: none;
    background-repeat: no-repeat, no-repeat;
  }

  .titre_lnst, .titre_addvt {
    margin-left: 2rem;
  }

  .lnst {
    grid-area: lnst;
    grid-template-areas:
      "affiche-lnst affiche_lnst-xl button-lnst";
  }

  .affiche_lnst-xl {
    display: block;
    grid-area: affiche_lnst-xl;
    width: 20rem;
    background-image: url("../img/lnst/jpeg/lnst_espace-pro-s.jpeg");
    background-position: center;
    background-size: contain;
  }

  .bagnoles {
    grid-area: bagnoles;
    grid-template-areas:
      "affiche-bagnoles affiche_bagnoles-xl button-bagnoles";
  }

  .affiche-bagnoles {
    justify-content: center;
    align-items: center;
  }

  .affiche_bagnoles-xl {
    display: block;
    grid-area: affiche_bagnoles-xl;
    width: 20rem;
    background-image: url("../img/bagnoles/bagnoles_espacepro-bw.png");
    background-position: bottom center;
    background-size: contain;
  }

  .addvt {
    grid-area: addvt;
    grid-template-areas:
      "affiche-addvt affiche_addvt-xl button-addvt";
  }

  .affiche_addvt-xl {
    display: block;
    grid-area: affiche_addvt-xl;
    width: 20rem;
    background-image: url("../img/addvt/webp/addvt_espacepro.webp");
    background-position: top 2rem center;
    background-size: contain;
  }

  .crame {
    grid-area: crame;
    grid-template-areas:
      "affiche-crame affiche_crame-xl button-crame";
  }

  .affiche-crame {
    justify-content: center;
    align-items: center;
  }

  .affiche_crame-xl {
    display: block;
    grid-area: affiche_crame-xl;
    width: 20rem;
    background-image: url("../img/crame/jpeg/crame_visuel-s.jpeg");
    background-position: center;
    background-size: cover;
  }
}

/* 2xl */
@media (min-width: 1536px) {
}






.container-button {
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 20rem;
}

.creation {
  text-transform: uppercase;
  font-size: 1.5rem;
  font-family: impatiente;
}

.creation_lnst {
  color: var(--clr_lnst);
}

.creation_bagnoles {
  color: var(--clr_bagnoles_yellow);
}

.creation_addvt {
  color: var(--bg_beige);
}

.creation_crame {
  color: var(--clr_orange);
}



[class*="button-"] {
  margin: 1rem;
  width: 200px;
	border-radius:17px;
  border: none;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	padding:15px 30px;
	text-decoration:none;
}

.button-addvt {
	background:linear-gradient(to bottom, #aea98b 5%, var(--bg_beige) 100%);
  color: black;
}

.button-addvt:hover {

  background:linear-gradient(to bottom, var(--bg_beige) 5%, #aea98b 100%);
  box-shadow:inset 0px 0px 30px 3px #817d67;
}

.button-crame {
  	background:linear-gradient(to bottom, var(--clr_orange) 5%, #C44C14 100%);
	  box-shadow:inset 0px 0px 30px 3px #782c09;
    color: black;
}

.button-crame:hover {
	background:linear-gradient(to bottom, #C44C14 5%, var(--clr_orange) 100%);
}

.button-bagnoles {
	  background:linear-gradient(to bottom, var(--clr_bagnoles_yellow) 5%, #a8911e 100%);
	  box-shadow:inset 0px 0px 30px 3px #816f17;
    color: black;
}

.button-bagnoles:hover {
  background:linear-gradient(to bottom, #a8911e 5%, var(--clr_bagnoles_yellow)  100%);
}

.button-lnst {
  background:linear-gradient(to bottom, var(--clr_lnst) 5%, #854242 100%);
  box-shadow:inset 0px 0px 30px 3px #633131;
  color: black;
}

.button-lnst:hover {
background:linear-gradient(to bottom, #854242 5%, var(--clr_lnst) 100%);
}

[class*="button-"]:active {
	position:relative;
	top:1px;
}




.titre {
  text-transform: uppercase;
}

.affiche-addvt .titre {
  color: var(--bg_beige);
  padding-left: 2rem;
  width: 5rem;
  font-weight: bolder;
  font-size: 3rem;
}

.affiche-crame .titre {
  color: var(--clr_orange);
  font-weight: bolder;
  font-size: 3rem;
  font-family: impatiente;
  letter-spacing: 4px;
}

.affiche-lnst .titre {
  color: var(--clr_lnst);
  padding-left: 1rem;
  width: 5rem;
  font-weight: bolder;
  font-family: impatiente;
  font-size: 3rem;
}

.affiche-bagnoles .titre {
  color: var(--clr_bagnoles_yellow);
  font-weight: bolder;
  font-size: 3rem;
  font-family: impatiente;
  letter-spacing: 4px;
}







/**************************  END MAIN  **************************/

/**************************  START FOOTER  **************************/



footer {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  grid-template-areas:
    "icons"
    "copyright";
  padding: 1rem 0;
  background: var(--bg_black);
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: copyright;
  margin: 1rem auto;
  max-width: 300px;
  text-align: center;
  font-size: 10px;
}

.icons_container {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: icons;
}

.link_facebook {
  width: auto;
  height: 50px;
}

.link_instagram {
  width: auto;
  height: 50px;
}

.icon-facebook {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-right: 7vw;
  width: auto;
  height: 50px;
}

.icon-facebook:hover, .icon-facebook:active {
  background-color: var(--clr_light_blue);
}

.icon-instagram {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-left: 7vw;
  width: auto;
  height: 50px;
}

.icon-instagram:hover, .icon-instagram:active {
  background-color: var(--clr_light_blue);
}



@media screen and (min-width: 500px) {

  footer {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "copyright icons";
    padding: 2rem 0;
    background: var(--bg_black);
  }

  .copyright {
    margin: 0px auto;
  }

  .icon-facebook {
    margin-right: 1vw;
    height: 60px;
  }

  .icon-instagram {
    margin-left: 1vw;
    height: 60px;
  }

}



@media screen and (min-width: 800px) {

  footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      ". copyright copyright icons";
    background: var(--bg_black);
  }

  .copyright {
    grid-area: copyright;
    grid-column: 2 / 4;
  }

  .icons {
    grid-area: icons;
  }

}

/*@media screen and (min-width: 2000px) {

  .copyright {
    margin: 1rem auto;
    max-width: 800px;
    font-size: 1.5rem;
  }

  .icon-facebook {
    height: 100px;
  }

  .icon-instagram {
    height: 100px;
  }

}*/

/**************************  END FOOTER  **************************/
